%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary:        Encrypted bandwidth-efficient backup using rsync algorithm
Name:           duplicity
Version:        0.4.2
Release:        7%{?dist}
License:        GPL
Group:          Applications/Archiving
URL:            http://www.nongnu.org/duplicity/
Source:         http://savannah.nongnu.org/download/%{name}/%{name}-%{version}.tar.gz
Patch0:         duplicity-0.4.1-timeout.patch
Patch1:         duplicity-0.4.2-sftp.patch
Requires:       gnupg >= 1.0.6
%if "%{?rhel}" <= "4"
Requires:       python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
%endif
BuildRequires:  python-devel >= 2.2, librsync-devel >= 0.9.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Duplicity incrementally backs up files and directory by encrypting
tar-format volumes with GnuPG and uploading them to a remote (or
local) file server. In theory many remote backends are possible;
right now local, ssh/scp, ftp, and rsync backends are written.

Because duplicity uses librsync, the incremental archives are space
efficient and only record the parts of files that have changed since
the last backup. Currently duplicity supports deleted files, full
unix permissions, directories, symbolic links, fifos, etc., but not
hard links.

%prep
%setup -q
%patch0 -p1 -b .timeout
%patch1 -p1 -b .sftp

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING README
%{_bindir}/rdiffdir
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{_mandir}/man1/rdiffdir*
%dir %{python_sitearch}/%{name}
%{python_sitearch}/%{name}/*.py*
%{python_sitearch}/%{name}/*.so

%changelog
* Mon May 07 2007 Robert Scheck <robert@fedoraproject.org> 0.4.2-7
- Rebuild

* Wed Dec 20 2006 Robert Scheck <robert@fedoraproject.org> 0.4.2-6
- fix broken sftp support by adding --sftp-command (#220316)

* Sun Dec 17 2006 Robert Scheck <robert@fedoraproject.org> 0.4.2-5
- own %%{python_sitearch}/%%{name} and not only %%{python_sitearch}

* Sat Dec 16 2006 Robert Scheck <robert@fedoraproject.org> 0.4.2-4
- added two small fixing patches (upstream items #4486, #5183)
- many spec file cleanups and try to silence rpmlint a bit more

* Fri Sep 08 2006 Michael J. Knox <michael[AT]knox.net.nz> - 0.4.2-3
- don't ghost pyo files

* Mon Aug 27 2006 Michael J. Knox <michael[AT]knox.net.nz> - 0.4.2-2
- Rebuild for FC6

* Tue May 16 2006 Michael J. Knox <michael[AT]knox.net.nz> - 0.4.2-1
- version bump

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Oct 05 2003 Ben Escoto <bescoto@stanford.edu> - 0:0.4.1-0.fdr.3
- More hints from Fedora QA (ville.skytta@iki.fi)

* Sat Aug 09 2003 Ben Escoto <bescoto@stanford.edu> - 0:0.4.1-0.fdr.2
- Repackaging for Fedora

* Sun Aug 30 2002 Ben Escoto <bescoto@stanford.edu>
- Initial RPM
